<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleStatusSelection StructType
 * @subpackage Structs
 */
class VehicleStatusSelection extends AbstractStructBase
{
    /**
     * The IncludeInactive
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $IncludeInactive;
    /**
     * The Identifiers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicle
     */
    public $Identifiers;
    /**
     * Constructor method for VehicleStatusSelection
     * @uses VehicleStatusSelection::setIncludeInactive()
     * @uses VehicleStatusSelection::setIdentifiers()
     * @param bool $includeInactive
     * @param \ArrayType\ArrayOfIdentifierVehicle $identifiers
     */
    public function __construct($includeInactive = null, \ArrayType\ArrayOfIdentifierVehicle $identifiers = null)
    {
        $this
            ->setIncludeInactive($includeInactive)
            ->setIdentifiers($identifiers);
    }
    /**
     * Get IncludeInactive value
     * @return bool
     */
    public function getIncludeInactive()
    {
        return $this->IncludeInactive;
    }
    /**
     * Set IncludeInactive value
     * @param bool $includeInactive
     * @return \StructType\VehicleStatusSelection
     */
    public function setIncludeInactive($includeInactive = null)
    {
        // validation for constraint: boolean
        if (!is_null($includeInactive) && !is_bool($includeInactive)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($includeInactive, true), gettype($includeInactive)), __LINE__);
        }
        $this->IncludeInactive = $includeInactive;
        return $this;
    }
    /**
     * Get Identifiers value
     * @return \ArrayType\ArrayOfIdentifierVehicle|null
     */
    public function getIdentifiers()
    {
        return $this->Identifiers;
    }
    /**
     * Set Identifiers value
     * @param \ArrayType\ArrayOfIdentifierVehicle $identifiers
     * @return \StructType\VehicleStatusSelection
     */
    public function setIdentifiers(\ArrayType\ArrayOfIdentifierVehicle $identifiers = null)
    {
        $this->Identifiers = $identifiers;
        return $this;
    }
}
